version: '3.7'
name: doc_reader
services:
  mssqldb:
    build:
      context: .
      dockerfile: Dockerfile.mssql
    container_name: doc_reader_db
    restart: always
    volumes:
      - d:/:/var/opt/mssql/data
    environment:
      SA_PASSWORD: Pass123456!
      ACCEPT_EULA: Y
      MSSQL_TCP_PORT: 1433
    ports:
      - 1433:1433 
    networks:
      - doc_reader_network
    healthcheck:
      test: [ "CMD", "/opt/mssql-tools/bin/sqlcmd", "-S", "localhost", "-U", "sa", "-P", "Pass123456!", "-Q", "SELECT 1" ]
      interval: 10s
      timeout: 3s
      retries: 10
      start_period: 20s
  api:
    build:
      context: .
      dockerfile: Dockerfile.api
    container_name: doc_reader_api
    ports:
      - 8888:80 
    networks:
      - doc_reader_network
    depends_on:
      mssqldb:
        condition: service_healthy

networks:
  doc_reader_network:
    name: doc_reader_network